#include "t3d.h"

#pragma export on

#ifdef _EXPORT
class _EXPORT TMy3d;
#endif

class TMy3d : public T3d {
private:
			TShape	*main_shape;
			float	alpha, beta, gamma;
			
			BPoint old_where;
			long idle_count;
			short bored_axis;
			
			thread_id mouse_watch;
			void InitFunc();	
			static BPoint mouse_point;
			int32 _getmouse;
public:
			bool	dying;

					TMy3d(BRect r,
						  long flags,
						  long size_x,
						  long size_y);
					~TMy3d();
					TMy3d(BMessage *msg);
	virtual 		status_t Archive(BMessage *data, bool deep = true) const;
	static 			TMy3d	*Instantiate(BMessage *data);
	virtual void 	MouseDown(BPoint point);
			void	SetShape(TShape *a_shape);
	static	long	_mouse_watcher(void *data);		
			void	MouseWatcher();
	virtual void	MessageReceived(BMessage *an_event);
			void 	AboutRequested();
			void	MainView();
			BRect rect;
};


#pragma export reset